Bug 125075 - rsync needs better error messages
rsync needs better error messages
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: rsync (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Simo Sorce
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-06-02 11:44 EDT by Red Hat Production Operations
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:22:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-06-02 11:44:23 EDT
While running a local 'rsync -avP', the following error was reported:

rsync: writefd_unbuffered failed to write 32768 bytes: phase
"unknown": No buffer space available
rsync error: error in rsync protocol data stream (code 12) at io.c(515)

In this case, it appears that this was due to running out of disk
space, but "No buffer space available" did not lead us to that
conclusion initially.  

Also, this error sometimes showed up immediately, at other times, it
occurred part way through the copy of the failing file, so that made
diagnosis even more difficult, as this appeared to be a rsync issue
rather than a disk space issue.

Version-Release number of selected component (if applicable):


How reproducible:

This was 100% reproducable during a low disk space condition.

Steps to Reproduce:
1. Try to copy a file set larger than the available disk space.
Actual results:

The error messages above.

Expected results:

Something along the lines of "No space left on device" would have lead
us to the real cause sooner.

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 15:22:32 EDT
This bug is filed against RHEL2.1, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products.  Since
this bug does not meet that criteria, it is now being closed.

For more information of the RHEL errata support policy, please visit:

If you feel this bug is indeed mission critical, please contact your
support representative.  You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.